---
title: Get Billing
description: Fetches billing usage and quota information for the authenticated user. Can be scoped to a specific context (e.g. project or namespace).
docs_index: /docs/llms.txt
lastUpdated: 2026-10-28
product: v0 API
type: reference
prerequisites:
  - /docs/api/v1/quickstart
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Fetches billing usage and quota information for the authenticated user. Can be scoped to a specific context (e.g. project or namespace).

#### `GET /v1/user/billing`

## Usage

```typescript
import { v0 } from 'v0-sdk'

const result = await v0.user.getBilling()

console.log(result)
```

```bash
curl -X GET https://api.v0.dev/v1/user/billing   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"
```

## API Signature

### Request

#### Query Parameters

- `scope?: string` Filters billing data by a specific scope, such as a project ID or slug.

### Response

- `billingType?: 'legacy'`
- `data?: object`
  - `remaining?: number`
  - `reset?: number`
  - `limit: number`

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)